Subject: RE: bug#28627: 24.5; doc of `copy-sequence'

From: Drew Adams <[email-masked]>
Date: Sat, 30 Sep 2017 06:44:47 -0700 (PDT)

> > The doc should make clear that there is only one empty-sequence object,
> > for each type of sequence.  In particular, `copy-sequence' does not
> > create a new sequence object if the sequence is empty.
> 
> Thanks.  I didn't feel we should guarantee what we have in the current
> implementation, especially as describing all the details might be
> tedious (does "vectors" include bool-vector or doesn't it?).  So I
> just added a vague statement that copying an empty object may yield
> the same object.  I think this is enough for Lisp programmers to
> produce a valid and future-proof code.

I agree.  What is important is to amend or remove the general
Statement that it always returns a copy of the sequence.

We could (or not) also stipulate that some sequence types have
only one empty-sequence object, which is what `copy-sequence'
returns for that sequence type.